package praktikum;


import java.math.BigInteger;

/**
 * Diese Klasse stellt die Datenstruktur eines Schlüssels für die
 * Damgard-Hashfunktion dar.
 * Dieser besteht aus dem Modulus n und dem öffentlichen Exponenten e 
 */
/**
 * This class represents the data structure for a key of the 
 * Damgard hash function.
 * It consists of the module n and the public exponent e
 */
public class DamgardKey {
    /** Der Modulus n */
    /** the module n */
    public BigInteger n;
    /** Die Referenz r */
    /** the reference r */
    public BigInteger r;
}
