package test;
import java.math.BigInteger;

import praktikum.GMR;
import praktikum.GMRKeyGenerator;
import praktikum.GMRPrivateKey;
import praktikum.GMRPublicKey;

import junit.framework.TestCase;


public class GMRTest extends TestCase {

	/** GMR-Schlüssellänge in bit */
    
	int k = 12;

    GMRKeyGenerator kGen = new GMRKeyGenerator(k, 2342);
    /** Signierschlüssel */
    
    GMRPrivateKey privKey = kGen.getPrivateKey();
    /** Testschlüssel */
    
    GMRPublicKey pubKey = kGen.getPublicKey();

    BigInteger r = new BigInteger("692");
    
    GMR myGMR = new GMR();
    

	// message
	BigInteger m = new BigInteger("2342");
	BigInteger sig = new BigInteger("815");

	public void testSign() {
		assertEquals(sig,myGMR.sign(privKey, m, r));
	}

	public void testTest() {
		assertTrue(myGMR.test(pubKey, m,r,sig));
	}

}
