package praktikum;


import java.math.BigInteger;

/**
 * Diese Klasse stellt die Datenstruktur eines geheimen GMR-Schlüssels dar.
 */

public class GMRPrivateKey {
    /** Der Modulus n */
    
    public BigInteger n;
    /** Die Primzahl p */
    
    public BigInteger p;
    /** Die Primzahl q */
    
    public BigInteger q;
    /** (p+1) / 4 */
    public BigInteger expp;
    /** (q+1) / 4 */
    public BigInteger expq;
    /** invpq = p^-1 mod q */
    public BigInteger invpq;
    /** 4^-1 mod p */
    public BigInteger inv4p;
    /** 4^-1 mod q */
    public BigInteger inv4q;
}
