package test;
import java.math.BigInteger;

import praktikum.Damgard;
import praktikum.DamgardKey;

import junit.framework.TestCase;


public class DamgardTest extends TestCase {

	public void testHash() {
      DamgardKey checkKey = new DamgardKey();
      /* vorgegebene Schluessel */
      
      checkKey.n = new BigInteger("868017937733256735401135309369");
      checkKey.r = new BigInteger("286503146379168102045488060553");
      /* vorgegebene Nachrichten */
      
      BigInteger m[] = new BigInteger[7];
      m[0] = new BigInteger("1111111111111");
      m[1] = new BigInteger("2222222222222");
      m[2] = new BigInteger("3333333333333");
      m[3] = new BigInteger("4444444444444");
      m[4] = new BigInteger("5555555555555");
      m[5] = new BigInteger("6666666666666");
      m[6] = new BigInteger("7777777777777");
      /* vorgegebene Hash-Ergebnisse */
      
      BigInteger h[] = new BigInteger[7];
      h[0] = new BigInteger("631287537119025916885181555304");
      h[1] = new BigInteger("328282694013336326010818210834");
      h[2] = new BigInteger("394048472408402058111895178744");
      h[3] = new BigInteger("523373476679814306208149118000");
      h[4] = new BigInteger("236423930241418003489204682695");
      h[5] = new BigInteger("830620775967875286647939736171");
      h[6] = new BigInteger("444816880671126504955479193043");

      Damgard myDamgard = new Damgard();
      for (int i = 0; i < 7; i++) {
    	  assertEquals(h[i],myDamgard.hash(checkKey, m[i]));
      }

	}

}
