package test;
import java.math.BigInteger;

import praktikum.RSA;
import praktikum.RSAKeyGenerator;
import praktikum.RSAPrivateKey;
import praktikum.RSAPublicKey;

import junit.framework.TestCase;


public class RSATest extends TestCase {
	
	/** RSA-Schlüssellänge in bit */
	
	int k = 12;

	// message
	BigInteger m = new BigInteger("2342");
	BigInteger sig = new BigInteger("1393");
	
	RSAKeyGenerator kGen = new RSAKeyGenerator(k,2342);
	
	/** Signierschlüssel */
	
	RSAPrivateKey privKey = kGen.getPrivateKey();
	/** Testschlüssel */
	
	RSAPublicKey pubKey = kGen.getPublicKey();
	
	RSA myRSA = new RSA();

	public void testSign() {
		assertEquals(sig,myRSA.sign(privKey, m));
	}

	public void testTest() {
		assertTrue(myRSA.test(pubKey, m,sig));
	}

}
